Orxonox: orxonox::PlaneCollisionShape Class Reference

# orxonox::PlaneCollisionShape Class Reference

`#include <src/orxonox/objects/collisionshapes/PlaneCollisionShape.h>`

Inheritance diagram for orxonox::PlaneCollisionShape:

List of all members.

## Public Member Functions

const Vector3 & | getNormal ()
float | getOffset ()
| PlaneCollisionShape (BaseObject *creator)
void | registerVariables ()
void | setNormal (const Vector3 &normal)
void | setOffset (float offset)
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~PlaneCollisionShape ()

## Private Member Functions

btCollisionShape * | createNewShape () const

## Private Attributes

Vector3 | normal_
float | offset_

## Constructor & Destructor Documentation

orxonox::PlaneCollisionShape::PlaneCollisionShape | ( | BaseObject * | creator | ) |

References normal_, offset_, RegisterObject, registerVariables(), orxonox::CollisionShape::updateShape(), and orxonox::MT_Type::Vector3.

orxonox::PlaneCollisionShape::~PlaneCollisionShape | ( |  | ) | `[virtual]`

References orxonox::CollisionShape::collisionShape_, and orxonox::BaseObject::isInitialized().

## Member Function Documentation

btCollisionShape * orxonox::PlaneCollisionShape::createNewShape | ( |  | ) | const`[private, virtual]`

Implements orxonox::CollisionShape.

References normal_, and offset_.

const Vector3& orxonox::PlaneCollisionShape::getNormal | ( |  | ) | `[inline]`

Referenced by XMLPort().

float orxonox::PlaneCollisionShape::getOffset | ( |  | ) | `[inline]`

Referenced by XMLPort().

void orxonox::PlaneCollisionShape::registerVariables | ( |  | ) |

Reimplemented from orxonox::CollisionShape.

References normal_, offset_, orxonox::Synchronisable::registerVariable(), orxonox::VariableDirection::ToClient, and orxonox::CollisionShape::updateShape().

Referenced by PlaneCollisionShape().

void orxonox::PlaneCollisionShape::setNormal | ( | const Vector3 & | normal | ) | `[inline]`

Referenced by XMLPort().

void orxonox::PlaneCollisionShape::setOffset | ( | float | offset | ) | `[inline]`

Referenced by XMLPort().

void orxonox::PlaneCollisionShape::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::CollisionShape.

References getNormal(), getOffset(), setNormal(), setOffset(), SUPER, and XMLPortParam.

## Member Data Documentation

Vector3 orxonox::PlaneCollisionShape::normal_`[private]`

Referenced by createNewShape(), PlaneCollisionShape(), and registerVariables().

float orxonox::PlaneCollisionShape::offset_`[private]`

Referenced by createNewShape(), PlaneCollisionShape(), and registerVariables().

The documentation for this class was generated from the following files:

- src/orxonox/objects/collisionshapes/PlaneCollisionShape.h
- src/orxonox/objects/collisionshapes/PlaneCollisionShape.cc